GROUPADD(8)

NOM
groupadd - Créer un nouveau groupe

SYNOPSIS

groupadd [options] groupe

DESCRIPTION

The groupadd command creates a new group account using the values specified on the command line plus the default values from the system. The new group will be entered into the system files as needed.

OPTIONS

Les options disponibles pour la commande groupadd sont :

-f, --force
    This option causes the command to simply exit with success status if the specified group already exists. When used with -g, and the specified GID already exists, another (unique) GID is chosen (i.e. -g is turned off).

-g, --gid GID
    La valeur numérique de l'identifiant du groupe (« group ID » ou GID). Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Par défaut le plus petit identifiant plus grand que 999 et que les identifiants des groupes existants est utilisé. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système.

-h, --help
    Afficher un message d'aide et quitter.

-K, --key CLÉ=VALEUR
    Surcharger les valeurs par défaut du fichier /etc/login.defs (GID_MIN, GID_MAX et autres). L'option -K peut être indiquée plusieurs fois.

    Exemple : -K GID_MIN=10 -K GID_MAX=499

    Note : -K GID_MIN=10,GID_MAX=499 ne fonctionne pas pour l'instant.

-o, --non-unique
    This option permits to add a group with a non-unique GID.

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le mot de passe.

    Note: l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

-r, --system
    Créer un groupe système.

    The numeric identifiers of new system groups are chosen in the SYS_GID_MIN-SYS_GID_MAX range, defined in login.defs, instead of GID_MIN-GID_MAX.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

GID_MAX (nombre), GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création des groupes normaux.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

SYS_GID_MAX (nombre), SYS_GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création de groupes système.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

AVERTISSEMENTS

It is usually recommended to only use groupnames that begin with a lower case letter or an underscore, followed by lower case letters, digits, underscores, or dashes. They can end with a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that groupnames must neither start with a dash ('-') nor contain a colon (':') or a whitespace (space:' ', end of line: '\n', tabulation: '\t', etc.).

Les noms de groupe sont limités à 32 caractères.

You may not add a NIS or LDAP group. This must be performed on the corresponding server.

If the groupname already exists in an external group database such as NIS or LDAP, groupadd will deny the group creation request.

VALEURS DE RETOUR

La commande groupadd retourne les valeurs suivantes en quittant :

0
    succès

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    GID déjà utilisé (et -o n'est pas utilisé)

9
    nom de groupe déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).